apps/clients/urls.py
from django.conf.urls import url

from .views import ListClientView, CreateClientView, UpdateClientView, DeleteClientView, RemoveClientView, \
    LoadClientsAPI, LoadProvincesAPI, LoadDistrictsAPI, ValidateRucView

urlpatterns = [
    url(r'^$', ListClientView.as_view(), name='client-list'),
    url(r'nuevo/$', CreateClientView.as_view(), name='client-create'),
    url(r'editar/(?P<pk>\d+)/$', UpdateClientView.as_view(), name='client-edit'),
    url(r'eliminar/(?P<pk>\d+)/$', DeleteClientView.as_view(), name='client-delete'),
    url(r'^cliente/(?P<pk>\d+)/remover/$', RemoveClientView.as_view(),
        name='remover-cliente'),
    url(r'^clientes/$', LoadClientsAPI.as_view(), name='clients-api'),

    url(r'department/(?P<pk>\d+)/provinces$', LoadProvincesAPI.as_view(), name='load-provinces'),
    url(r'province/(?P<pk>\d+)/districts$', LoadDistrictsAPI.as_view(), name='load-districts'),
    url(r'validateRuc/$', ValidateRucView.as_view(), name='validate-ruc'),
]

apps/sale_opportunity/urls.py
from django.core.urlresolvers import reverse, reverse_lazy
from django.conf.urls import url
from django.contrib.auth import views
from apps.sale_opportunity.views import SaleOpportunityView, SaleOpportunityListView, SaleOpportunityDetailAPIView, \
    SaleOpportunityChangePhaseAPIView, CreateSaleOpportunity, RemoveOpportunityView, UpdateOpportunityView, \
    FilterAttachedFileView, FechaFacturacionnDetalleOportunidad, ListActivityView, RemoveActivityView, \
    UpdateActivityView, CreateActivityView, IngresoParcialDetalleOportunidad, FilterSaleManagmentView, \
    ListAttachedFileView, CreateAttachedFileView, RemoveAttachedFileView, FilterVariationNewView, \
    SaleOpportunityDetailView

urlpatterns = [
    url(r'^$', SaleOpportunityListView.as_view(), name='saleopportunity-list'),
    url(r'^create/$', CreateSaleOpportunity.as_view(), name='saleopportunity-create'),
    url(r'^detail/(?P<pk>\d+)/$', SaleOpportunityDetailView.as_view(), name='saleopportunity-detail'),
    url(r'board-oportunidad-ventas/$', SaleOpportunityView.as_view(), name='ov-boards'),
    url(r'^carga/detail-op-venta/$', SaleOpportunityDetailAPIView.as_view(), name='api-detail-op-ventas'),
    url(r'^api/change-phase-op-venta/$', SaleOpportunityChangePhaseAPIView.as_view(), name='api-change-phase-op-venta'),
    url(r'^oportunidad/(?P<pk>\d+)/remover/$', RemoveOpportunityView.as_view(), name='remove-opportunity'),
    url(r'^oportunidad/(?P<pk>\d+)/editar/$', UpdateOpportunityView.as_view(), name='edit-opportunity'),
    url(r'^files/buscar/$', FilterAttachedFileView.as_view(), name='so-filter-files'),
    url(r'^detalle/oportunidad/facturado/$', FechaFacturacionnDetalleOportunidad.as_view(),
        name='detalle-fecha-facturacion'),
    url(r'^detalle/oportunidad/edit/partial-revenue/$', IngresoParcialDetalleOportunidad.as_view(),
        name='detalle-ingreso-parcial'),

    url(r'^oportunidad/(?P<pk>\d+)/actividades/$', ListActivityView.as_view(), name='activity-list'),
    url(r'^oportunidad/(?P<pk>\d+)/actividades/crear/$', CreateActivityView.as_view(), name='activity-create'),
    url(r'^oportunidad/actividad/(?P<pk>\d+)/remover/$', RemoveActivityView.as_view(), name='activity-remove'),
    url(r'^oportunidad/actividad/(?P<pk>\d+)/editar/$', UpdateActivityView.as_view(), name='activity-update'),

    url(r'^gestion/ventas/$', FilterSaleManagmentView.as_view(), name='filter-sale-managment'),
    url(r'^variacion/nuevos/$', FilterVariationNewView.as_view(), name='filter-variation-new'),

    url(r'^oportunidad/(?P<pk>\d+)/doc-adjuntos/$', ListAttachedFileView.as_view(), name='attached-file-list'),
    url(r'^oportunidad/(?P<pk>\d+)/doc-adjuntos/crear/$', CreateAttachedFileView.as_view(),
        name='attached-file-create'),
    url(r'^oportunidad/doc-adjuntos/(?P<pk>\d+)/remover/$', RemoveAttachedFileView.as_view(),
        name='attached-file-remove'),

]

corebackend/urls.py
from django.conf import settings
from django.conf.urls import url, include
from django.conf.urls.static import static
from django.contrib import admin
from django.views.static import serve

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'', include('apps.clients.urls', namespace='clients', app_name='clients')),
    url(r'', include('apps.products.urls', namespace='products', app_name='products')),
    url(r'^oportunidad-venta/', include('apps.sale_opportunity.urls',
                                        namespace='sale_opportunity', app_name='sale_opportunity')),
    url(r'^seguridad/', include('apps.security.urls',
                                namespace='security', app_name='security'))
]

if settings.DEBUG:
    urlpatterns += [
                       url(r'^media/(?P<path>.*)$', serve, {
                           'document_root': settings.MEDIA_ROOT,
                       }),
                       url(r'^static/(?P<path>.*)$', serve,
                           {'document_root': settings.STATIC_ROOT,
                            })
                   ] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

apps/sale_opportunity/models.py
import os
from datetime import date
from django.core.validators import MaxValueValidator
from django.db import models

# Create your models here.
from django.utils import timezone

from apps.clients.models import Client
from apps.common.constants import CORRELATIVO_INICIAL, PREFIJO_FASE, PREFIJO_PRIORIDAD
from apps.common.models import BaseModel
from apps.products.models import Product, SubProduct
from apps.structure.models import Company


def upload_file(instance, filename):
    ext = filename.split('.')[-1]
    filename = "opventa_doc_{0}.{1}".format(timezone.now(), ext)
    return "%s/%s" % (instance._meta.app_label, filename)


class Priority(BaseModel):
    correlative = models.PositiveIntegerField(verbose_name='Correlativo', null=True)
    code = models.CharField(verbose_name='Código', max_length=10, null=True)
    name = models.CharField(verbose_name='Nombre', max_length=100)

    class Meta:
        verbose_name = 'Priority'
        verbose_name_plural = 'Priorities'
        default_related_name = 'priorities'

    def __str__(self):
        return '{}'.format(self.name)

    def save(self, *args, **kwargs):
        last_priority = Priority.objects.order_by('pk').last()
        super().save(*args, **kwargs)
        if self.pk and not self.code:
            if last_priority:
                aux_correlative = last_priority.correlative
                self.correlative = aux_correlative + 1
                self.code = '{}-{}'.format(PREFIJO_PRIORIDAD, str(self.correlative).zfill(2))
            else:
                self.correlative = int(CORRELATIVO_INICIAL)
                self.code = '{}-{}'.format(PREFIJO_PRIORIDAD, CORRELATIVO_INICIAL.zfill(2))
        super().save(update_fields=['correlative', 'code'])


class ContactWay(BaseModel):
    correlative = models.PositiveIntegerField(verbose_name='Correlativo', null=True)
    code = models.CharField(verbose_name='Código', max_length=10, null=True)
    name = models.CharField(verbose_name='Nombre', max_length=100)

    class Meta:
        verbose_name = 'ContactWay'
        verbose_name_plural = 'ContactWays'
        default_related_name = 'contactWays'

    def __str__(self):
        return '{}'.format(self.name)

    def save(self, *args, **kwargs):
        last_contact_way = ContactWay.objects.order_by('pk').last()
        super().save(*args, **kwargs)
        if self.pk and not self.code:
            if last_contact_way:
                aux_correlative = last_contact_way.correlative
                self.correlative = aux_correlative + 1
                self.code = str(self.correlative).zfill(2)
            else:
                self.correlative = int(CORRELATIVO_INICIAL)
                self.code = CORRELATIVO_INICIAL.zfill(2)
        super().save(update_fields=['correlative', 'code'])


class ReasonLoss(BaseModel):
    correlative = models.PositiveIntegerField(verbose_name='Correlativo', null=True)
    code = models.CharField(verbose_name='Código', max_length=10, null=True)
    name = models.CharField(verbose_name='Nombre', max_length=100)

    class Meta:
        verbose_name = 'ReasonLoss'
        verbose_name_plural = 'ReasonsLoss'
        default_related_name = 'reasonsLoss'

    def __str__(self):
        return '{}'.format(self.name)

    def save(self, *args, **kwargs):
        last_reason = ReasonLoss.objects.order_by('pk').last()
        super().save(*args, **kwargs)
        if self.pk and not self.code:
            if last_reason:
                aux_correlative = last_reason.correlative
                self.correlative = aux_correlative + 1
                self.code = str(self.correlative).zfill(2)
            else:
                self.correlative = int(CORRELATIVO_INICIAL)
                self.code = CORRELATIVO_INICIAL.zfill(2)
        super().save(update_fields=['correlative', 'code'])


class Phase(BaseModel):
    code = models.CharField(verbose_name='Código', max_length=10, null=True)
    correlative_num = models.PositiveIntegerField(verbose_name='Correlativo', null=True)
    name = models.CharField(verbose_name='Fase', max_length=100)
    probability = models.PositiveIntegerField(verbose_name='Probabilidad', validators=[MaxValueValidator(100)])
    is_first = models.BooleanField(default=False)
    is_last = models.BooleanField(default=False)

    class Meta:
        verbose_name = 'Phase'
        verbose_name_plural = 'Phases'
        default_related_name = 'phases'

    def __str__(self):
        return '{}'.format(self.name)

    def save(self, *args, **kwargs):
        last_phase = Phase.objects.order_by('pk').last()
        super().save(*args, **kwargs)
        if self.pk and not self.code:
            if last_phase:
                aux_correlative = last_phase.correlative_num
                self.correlative_num = aux_correlative + 1
                self.code = '{}-{}'.format(PREFIJO_FASE, str(self.correlative_num).zfill(2))
            else:
                self.correlative_num = int(CORRELATIVO_INICIAL)
                self.code = '{}-{}'.format(PREFIJO_FASE, CORRELATIVO_INICIAL.zfill(2))

        super().save(update_fields=['correlative_num', 'code'])


class UnitLength(BaseModel):
    name = models.CharField(verbose_name='Nombre', max_length=20)

    class Meta:
        verbose_name = 'Unidad de medida'
        verbose_name_plural = 'Unidades de medida'

    def __str__(self):
        return self.name


class SaleOpportunity(BaseModel):
    code = models.CharField(verbose_name='Código', max_length=16, null=True)
    sale_opp_num = models.PositiveIntegerField(verbose_name='Correlativo de Oportunidad', null=True)
    sale_anio = models.CharField(max_length=4,
                                 default=timezone.now().strftime('%Y'))
    client = models.ForeignKey(Client, related_name='clientes', verbose_name='Cliente')
    phase = models.ForeignKey(Phase, on_delete=models.CASCADE, null=True, verbose_name='Fase de Venta')
    subproduct = models.ForeignKey(SubProduct, on_delete=models.CASCADE, null=True, verbose_name='Subproducto')
    description = models.TextField(blank=True, null=True, verbose_name='Descripcion')
    revenue = models.PositiveIntegerField(verbose_name='Ingreso Estimado', null=True)
    real_revenue = models.PositiveIntegerField(verbose_name='Ingreso Real', null=True)
    estimated_time = models.PositiveIntegerField(verbose_name='Tiempo Estimado', validators=[MaxValueValidator(99)],
                                                 null=True)
    profit = models.FloatField(null=True, blank=True, verbose_name="Ganancia")
    priority = models.ForeignKey(Priority, on_delete=models.CASCADE, verbose_name='Prioridad', null=True, blank=True)
    contact_way = models.ForeignKey(ContactWay, on_delete=models.CASCADE, verbose_name='Medio de Contacto',
                                    null=True, blank=True)
    company = models.ForeignKey(Company, on_delete=models.CASCADE, verbose_name='Empresa', null=True, blank=True)
    user = models.ForeignKey('auth.User', related_name='sale_opportunities', verbose_name='User', null=True)

    contact = models.CharField(max_length=100, verbose_name='Contacto', null=True, blank=True)
    contact_position = models.CharField(max_length=60, null=True, blank=True, verbose_name='Cargo de Contacto')
    contact_phone_1 = models.CharField(max_length=15, verbose_name='Teléfono 1 de Contacto', blank=True, null=True)
    contact_phone_2 = models.CharField(max_length=15, verbose_name='Teléfono 2 de Contacto', blank=True, null=True)
    contact_email = models.EmailField(verbose_name='Email de Contacto', blank=True, null=True)
    contact_2 = models.CharField(max_length=100, verbose_name='Contacto 2', null=True, blank=True)
    contact_position_2 = models.CharField(max_length=60, null=True, blank=True, verbose_name='Cargo de Contacto 2')
    contact_2_phone_1 = models.CharField(max_length=15, verbose_name='Teléfono 1 de Contacto 2', blank=True, null=True)
    contact_2_phone_2 = models.CharField(max_length=15, verbose_name='Teléfono 2 de Contacto 2', blank=True, null=True)
    contact_email_2 = models.EmailField(verbose_name='Email de Contacto 2', blank=True, null=True)
    contact_3 = models.CharField(max_length=100, verbose_name='Contacto 3', null=True, blank=True)
    contact_position_3 = models.CharField(max_length=60, null=True, blank=True, verbose_name='Cargo de Contacto 3')
    contact_3_phone_1 = models.CharField(max_length=15, verbose_name='Teléfono 1 de Contacto 3', blank=True, null=True)
    contact_3_phone_2 = models.CharField(max_length=15, verbose_name='Teléfono 2 de Contacto 3', blank=True, null=True)
    contact_email_3 = models.EmailField(verbose_name='Email de Contacto 3', blank=True, null=True)
    contact_4 = models.CharField(max_length=100, verbose_name='Contacto 4', null=True, blank=True)
    contact_position_4 = models.CharField(max_length=60, null=True, blank=True, verbose_name='Cargo de Contacto 4')
    contact_4_phone_1 = models.CharField(max_length=15, verbose_name='Teléfono 1 de Contacto 4', blank=True, null=True)
    contact_4_phone_2 = models.CharField(max_length=15, verbose_name='Teléfono 2 de Contacto 4', blank=True, null=True)
    contact_email_4 = models.EmailField(verbose_name='Email de Contacto 4', blank=True, null=True)

    reason_loss = models.ForeignKey(ReasonLoss, verbose_name='Razón de Perdida', null=True, blank=True)
    manual_code = models.CharField(verbose_name='Código Manual', max_length=16, null=True, blank=True)
    installments = models.PositiveIntegerField(verbose_name='N Cuotas', validators=[MaxValueValidator(99)], null=True)
    installment_period = models.PositiveIntegerField(verbose_name="Periodo de pago de cuota", null=True)
    first_payment_month = models.PositiveIntegerField(verbose_name="Mes del primer pago", null=True)
    first_payment_year = models.PositiveIntegerField(verbose_name="Año del primer pago", null=True)
    unit_length = models.ForeignKey(UnitLength, verbose_name='Unidad de medida', null=True, blank=True)

templates/sale_opportunity/filter-sale-managment.html
{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% block title %}Gestor de Archivos{% endblock %}
{% block extra_style %}
<link href="{% static 'vendor/datatable/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet"/>
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap4.min.css">
{% endblock %}
{% block content %}
<div class="container container-full">
  <div class="card" style="padding: 0;" id="panel-files">
    <div class="card-header">
      <h4 class="card-title">{{ title }}</h4>
      </div>
    <div class="card-body" style="margin: 0;">
      <form role="form" method="get" action=".">
        <div class="row">
        <div class="col-sm-12">
          {{ filter.form.sale_anio.label_tag }}
          {{ filter.form.sale_anio }}
          <button class="btn btn-primary" type="submit" style="margin:0 auto">Buscar</button>
        </div>
      </div>
      </form>
    </div>
    {% if dataOportunidad %}
    <div class="card-body" style="margin: 0">
      <div class="row" style="width: 100%">
        <div class="col-sm-12" style="width: 100%">
          <table id="example" class="display table table-striped table-bordered"
                 cellspacing="0" width="100%"></table>
        </div>
      </div>
    </div>
    {% else %}
      <p style="margin: auto">No se encontro oportunidades registradas en este año.</p>
    {% endif %}
  </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'vendor/datatable/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatable/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
<script>
  $(function () {
    var hayData = "{{ dataOportunidad| safe }}".length;
    if (hayData > 0) {
      $('#example').DataTable( {
          data: {{ dataOportunidad| safe }},
          columns: [
              { title: ""},
              { title: "Enero" },
              { title: "Febrero" },
              { title: "Marzo" },
              { title: "Abril" },
              { title: "Mayo" },
              { title: "Junio" },
              { title: "Julio" },
              { title: "Agosto" },
              { title: "Setiembre" },
              { title: "Octubre" },
              { title: "Noviembre" },
              { title: "Diciembre" },
              { title: "Total"}
          ],
          ordering: false,
          searching: false,
          paging: false,
          info: false,
          responsive: {details: true}
      });
    }
  });
</script>
{% endblock %}

templates/sale_opportunity/saleopportunity-list.html
{% extends 'basepartials/base.html' %}
{% load static %}
{% block title %}Oportunidad de Venta{% endblock %}
{% block extra_style %}
<link href="{% static 'vendor/datatable/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet"/>
<link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/select/1.2.7/css/select.bootstrap4.min.css">
<link href="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/css/bootstrap-editable.css" rel="stylesheet"/>
<style>
  .dataTables_filter {display: none;}
</style>
{% endblock %}
{% block content %}

<div class="container container-full">
  <div class="card" style="padding: 0;" id="panel-table-oportunidad-ventas">
  <div class="row">
        <div class="col-sm-12" style="position: relative; top: 0; ">
            {% if messages %}
                {% include 'basepartials/_messages.html' %}
            {% endif %}
        </div>
    </div>
    <div class="card-body" style="margin: 0;">
      <div class="row">
        <div class="col-md-8">
          <h2>Oportunidad de Venta</h2>
        </div>
        <div class="col-md-4" style="text-align: right">
          <div id="buttons-op">
            {% if 'gesco.so-create' in permissions %}
            <a style="padding: 2px;" href="{% url 'sale_opportunity:saleopportunity-create' %}" type="button"
               class="btn btn-default btn-lg btn-light"
               data-toggle="tooltip" title="Agregar Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/add_opportunity.png' %}"
                   alt="">
            </a>
            {% endif %}

            <a id="ver-oportunidad" style="padding: 2px;" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Ver detalle de Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/detail_opportunity.png' %}" alt="">
            </a>
            {% if 'gesco.so-update' in permissions %}
            <a id="editar-oportunidad" style="padding: 2px;" href="#" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Editar Oportunidad">
                  <img style="width: 30px;height: 32px;" class="img-light" src="{% static 'img/edit_opportunity.png' %}" alt="">
            </a>
            {% endif %}
            {% if 'gesco.so-delete' in permissions %}
            <a id="confirmar-remover-oportunidad"
               style="padding: 2px;" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               title="Eliminar oportunidad"
               data-toggle="modal"
               data-target="#modalOpportunityDelete">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/delete_opportunity.png' %}" alt="">
            </a>
            {% endif %}
             <a id="activities-list" style="padding: 2px;" href="#" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Ver Actividades de Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/activities.png' %}" alt="">
            </a>
            <a id="attached-file-list" style="padding: 2px;" href="#" type="button"
               class="btn btn-default btn-lg btn-light has-select"
               data-toggle="tooltip" title="Ver Archivos Adjuntos de Oportunidad">
              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/attached_file.png' %}" alt="">
            </a>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <table id="oportunidades"
                 class="table table-striped table-bordered"
                 cellspacing="0" width="100%">
            <thead>
            <tr style="background-color: #337ab7;color: white;">
              <th></th>
              <th>Código</th>
              <th>Cliente</th>
              <th>Fase</th>
              <th>Producto</th>
              <th>SubProducto</th>
              <th>Nro. cuotas</th>
              <th>Ingreso estimado</th>
              <th>Ingreso real</th>
              <th>Fecha Creación</th>
              <th>Fecha Modificación</th>
            </tr>
            <tr id="tr_search">
              <th id="op-check"></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
              <th></th>
            </tr>
            </thead>
            <tbody>
            {% for oportunidad in oportunidades %}
            <tr id="{{ oportunidad.id }}">
              <td></td>
              <td title="{{ oportunidad.code }}">{{ oportunidad.manual_code }}</td>
              <td title="{{ oportunidad.client.name }}">{{ oportunidad.client.name }}</td>
              <td title="{{ oportunidad.phase.name }}">{{ oportunidad.phase.name }}</td>
              <td title="{{ oportunidad.subproduct.producto }}"> {{ oportunidad.subproduct.product.name }}</td>
              <td title="{{ oportunidad.subproduct.name }}">{{ oportunidad.subproduct.name }}</td>
              <td title="{{ oportunidad.installments|default_if_none:'-' }}">{{ oportunidad.installments|default_if_none:'-' }}</td>
              <td title="{{ oportunidad.revenue }}">{{ oportunidad.revenue }}</td>
              <td title="{{ oportunidad.real_revenue }}">{{ oportunidad.real_revenue|default_if_none:'-' }}</td>
              <td title="{{ oportunidad.created_at }}">{{ oportunidad.created_at | date:'d-m-Y'  }}</td>
              <td title="{{ oportunidad.last_modified }}">{{ oportunidad.last_modified | date:'d-m-Y' }}</td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <input type="hidden" id="exp_ids" value="-1"/>
  <!-- oportunidad detalle -->
  <div class="card" id="panel-table-detalle-oportunidad">
    <div id="panel-detalle-oportunidad" class="card-body">
      <div class="row">
        <div class="col-md-12">
          <h3>Detalle de Oportunidad de Venta: Facturado (S/ <span id="detalle-pagado">0</span>) - Pendiente (S/ <span id="detalle-pendiente">0</span>)</h3>
        </div>
        <div class="col-md-4" style="text-align: right">
          <div id="control-buttons">
            <a id="ver-documento" style="padding: 2px;" type="button" data-toggle="tooltip" hidden="True"
               title="Ver detalle de Oportunidad">
              <!--class="btn btn-default btn-lg btn-light has-select"> -->

              <img style="width: 30px;height: 32px;" class="img-light"
                   src="{% static 'img/detail_opportunity.png' %}" alt="">
            </a>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <table id="movimientos"
                 class="table table-striped table-bordered"
                 cellspacing="0" width="100%">
            <thead>
            <tr style="background-color: #337ab7; color: white;">
              <th></th>
              <th>Num de Oportunidad</th>
              <th>Mes-Año</th>
              <th>Ingreso Parcial</th>
              <th>Fecha Creación</th>
              <th>Fecha Modificación</th>
              <th>Facturado?</th>
              <th>Fecha de facturación </th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
              <td></td>
            </tr>
            </tbody>
          </table>
          <ul id="pagination-demo" class="pagination-sm"></ul>
        </div>

      </div>
    </div>
  </div>
  <!-- fin Oportunidad detalle -->
</div>
<div class="modal fade" id="modalOpportunityDelete">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Eliminar Oportunidad</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        ¿ Está seguro de eliminar la oportunidad de venta ?
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button"
                class="btn btn-danger"
                data-dismiss="modal">
          Cancelar
        </button>
        <button id="btnRemoverConfirmacionOpportunity"
                type="button"
                class="btn btn-default"
                data-dismiss="modal">
          Eliminar
        </button>
        <form id="remover-oportunidad" style="display: inline"
              action=""
              method="post">{% csrf_token %}
        </form>
      </div>

    </div>
  </div>
</div>
{% endblock %}
{% block bottom_scripts %}
<script src="{% static 'vendor/datatable/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatable/js/dataTables.bootstrap4.min.js' %}"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/select/1.2.7/js/dataTables.select.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/x-editable/1.5.0/bootstrap3-editable/js/bootstrap-editable.min.js"></script>

<script>
  window.urls = {
    apiDetailOpVentas: "{% url 'sale_opportunity:api-detail-op-ventas' %}",
    removeOpportunity: "{% url 'sale_opportunity:remove-opportunity' 999 %}",
    editOpportunity: "{% url 'sale_opportunity:edit-opportunity' 999 %}",
    fechaDetalleFacturado: "{% url 'sale_opportunity:detalle-fecha-facturacion' %}",
    ingresoParcialDetalle: "{% url 'sale_opportunity:detalle-ingreso-parcial' %}",
    activities: "{% url 'sale_opportunity:activity-list' 999 %}",
    attached_files: "{% url 'sale_opportunity:attached-file-list' 999 %}",
    verOportunidad: "{% url 'sale_opportunity:saleopportunity-detail' 999 %}"
  }
</script>
<script src="{% static 'js/sale_opportunity_list.js' %}"></script>

{% endblock %}